main{
    height: 100vh;

    & div#primary{
        height: 100%;
    }
}


div#menu-links, div#elea-menu{
    opacity: 0;
    transition: all 0.5s ease;
    transform: translateX(-100%);
    z-index: 10;

    & ul.nav{
        color: white;
        max-width: max(35vw, 600px);
        
        & li.nav-item{
            border: 1px solid lightgray; 
            border-radius: 8px;
            cursor: pointer;
            transition: all 0.3s ease;
            position: relative;
            overflow: hidden;
            letter-spacing: 1px;
            font-weight: 500;
            backdrop-filter: blur(5px);
            background-color: #8080801c;
            height: 60px;
            

            &:hover{
                background-image: var(--grad-azul);
                color:aliceblue;
                transform: translateY(-2px);
            }

            &:after {
                content: '';
                position: absolute;
                top: 0;
                left: -100%;
                width: 100%;
                height: 100%;
                background: linear-gradient(90deg, transparent, rgba(224, 244, 252, 0.192), transparent);
                transition: 0.5s;
            }
            &:hover::after {
                left: 100%;
            }

            & a.link-item{
                color:white;
                text-decoration: none;
                width: 100%;
                height: 100%;
                display: flex;
                gap: 1.5rem;
                align-items: center;
            }
        }

        & span{
            font-size: 25.5px;
        }
        & span.ico-blue{
            color: #0288d1;
        }

        & img{
            width: 24.5px;
            border-radius: 3px;
        }

    }
}

div#elea-menu{
    & .volver-elea{
        max-width: max(35vw, 600px);
    }

    & div.wp-block-button {
        & a {
            box-shadow: var(--sombra-suave);
            border: 1px solid lightgray;
            border-radius: 5px;
            background: var(--grad-azul);
            padding: 5px 25px;
            transition: all .5s ease;
            width: auto;
            line-height: 2;
        }

        & a:hover {
            color: black;
            background: var(--verde-flu);
        }
    }

    & span{
        font-size: 22px!important;
        width: 25px;
        text-align: center;
        color: #C9EEF1;
    }
    
}

div#menu-links.active, div#elea-menu.active{
    opacity: 1;
    transform: translateX(0);
    z-index: 11;
}

/*-- Tarjeta de presentacion Elea ---*/
div#tarjeta-elea{
    background: rgba(1, 21, 38, 0.9);
    backdrop-filter: blur(5px);
    z-index: 1000;

    & img{
        max-width: min(650px, 90vw);
    }

    & .cont-text-card{
        border-left: 3px solid #0033a1;
        padding-right: 1.6rem !important;
        padding-left: 2rem !important;
    }
    & h2,h3{
        line-height: 1;
        font-size: 25px;
    }
    & h2{
        font-weight: 600;
        font-size: 30px;
    }

    & p.card-info{
        font-size: 18px;
        color: #0033a1;
    }

}

/*-- PDF Viewer ---*/
.pdf-viewer {
    background: rgba(1, 21, 38, 0.9);
    backdrop-filter: blur(5px);
    z-index: 1000;
}

.pdf-container {
    width: 100%;
    max-width: 1000px;
    height: auto;
    background: transparent;
    border-radius: 15px;
    padding: 10px;
    position: relative;

    &:-webkit-scrollbar {
        width: 8px;
    }
    &:-webkit-scrollbar-thumb {
        background: #6AD9C4;
    }
}

@media (min-width:576px) {
    .pdf-container {
        width: auto;
        height: 100%;
    }
}

.close-pdf, .close-elea {
    position: absolute;
    top: 0px;
    right: 0px;
    background: #023859;
    color: white;
    border: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}





